Loading...
Searching...
No Matches
harten0

## Detailed Description

Examples
  harten.h, and harten0.h.

Definition at line 26 of file harten0.h.

## Public Member Functions

| harten0 (Float t1)
Float | operator() (const point &x) const
void | set_verbose ()
void | set_noverbose ()

## Protected Member Functions

Float | f (Float w, Float t, Float x) const
Float | df_dw (Float w, Float t, Float x) const

## Protected Attributes

Float | t0
Float | pi
bool | verbose

## Static Protected Attributes

static const size_t | max_iter = 100

## Constructor & Destructor Documentation

## harten0()

harten0 | ( | Float | t1 | ) |

Definition at line 27 of file harten0.h.

## Member Function Documentation

## operator()()

Float operator() | ( | const point & | x | ) | const

Examples
  harten0.h.

Definition at line 28 of file harten0.h.

## set_verbose()

void set_verbose | ( |  | ) |

Examples
  harten0.h.

Definition at line 88 of file harten0.h.

## set_noverbose()

void set_noverbose | ( |  | ) |

Examples
  harten0.h.

Definition at line 89 of file harten0.h.

## f()

Float f | ( | Float | w,
|  | Float | t,
|  | Float | x
| ) |  | const

protected

Definition at line 91 of file harten0.h.

## df_dw()

Float df_dw | ( | Float | w,
|  | Float | t,
|  | Float | x
| ) |  | const

protected

Examples
  harten0.h.

Definition at line 92 of file harten0.h.

## Member Data Documentation

## max_iter

const size_t max_iter = 100

static protected

Examples
  harten0.h.

Definition at line 93 of file harten0.h.

## t0

Float t0

protected

Examples
  harten0.h.

Definition at line 94 of file harten0.h.

## pi

Float pi

protected

Examples
  harten0.h.

Definition at line 94 of file harten0.h.

## verbose

bool verbose

protected

Examples
  harten0.h.

Definition at line 95 of file harten0.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/harten0.h